Bug 118371 - Image replace dont works as expected
Summary: Image replace dont works as expected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2018-06-25 13:00 UTC by Iceflower S
Modified: 2019-07-02 02:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Iceflower S 2018-06-25 13:00:51 UTC
Description:
See Step to Reproduce.

Steps to Reproduce:
1. New slide
2. Use 2 content type
3. Insert one image
4. Click on it and replace it

Actual Results:
The new image gets inserted at the open position not replaced

Expected Results:
Replace the image


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Jacques Guilleron 2018-06-25 18:31:34 UTC
Hello,
I reproduce with
LO 6.0.4.2 Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
and the upper versions.
Also with
LO 5.2.0.4 Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)
But not with
LO 5.2.0.3 Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)
Replacement in the first content works only when the other ones are filled.
I tried with three contents.
Comment 2 Xisco Faulí 2018-06-26 09:51:59 UTC
Regression introduced by:

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-07-05 12:05:28 +0000
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-07-05 19:58:48 +0000
commit	fd6655080e181de4b78e31f13fe8ba35de8edfe5 (patch)
tree	b132314cd39e107b818f057cda33c07e6e9f2e47
parent	28a03248b1d1649e157b788e43dfe8326f165379 (diff)
tdf#73742 Don't replace existing image when inserting one
If we want to replace an image, we have an entry in the context menu for that.

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Samuel Mehrbrodt
Comment 3 QA Administrators 2019-07-02 02:42:53 UTC
Dear Iceflower S,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug